/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.module.traceability.criteria;

import javax.swing.JOptionPane;
import javax.swing.JPanel;

/**
 * 
 */
@SuppressWarnings("serial")
public class CriterionView extends JPanel {

	@SuppressWarnings("unused")
	private CriterionController<?> abstractController;

	public CriterionView(CriterionController<?> controller) {
		this.abstractController = controller;
	}

	public void error(String message) {
		JOptionPane.showMessageDialog(null, message, "Error",
				JOptionPane.ERROR_MESSAGE);
	}

}
