package osgi2;

import java.util.Dictionary;
import java.util.Properties;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceRegistration;

import edu.wpi.wpisuite.app.WPISuite;
import edu.wpi.wpisuite.module.ActiveState;
import edu.wpi.wpisuite.services.ActiveStateService;
import edu.wpi.wpisuite.services.ActiveStateServiceImpl;


public class Activator implements BundleActivator {

	private ServiceRegistration registration;
	
	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext bc) throws Exception {

		System.out.println("\nREGISTERING services");
		registration = bc.registerService(ActiveStateService.class.getName(), 
				new ActiveStateServiceImpl(), 
				null);
		
        System.out.println( "\nSTARTING edu.wpi.wpisuite" );
        WPISuite.startprogram();
	}

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
	}

}
