/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *    Sabrina Varanelli - Initial design
 *    Lucas Scotta - Additional design and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data;

import net.java.ao.Entity;

/**
 * Defines an association between two requirements. The specific interpretation
 * of the association is left to the user to decide on.
 */
public interface TraceabilityAssociation extends Entity {
	public Requirement getFrom();

	public void setFrom(Requirement from);

	public Requirement getTo();

	public void setTo(Requirement to);
}
