/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta
 *******************************************************************************/

package edu.wpi.wpisuite.data.util;

import java.util.Comparator;

import edu.wpi.wpisuite.data.User;

/**
 * Used to sort an array of projects based on name
 */
public class UserComparator implements Comparator<User> {

	@Override
	public int compare(User a, User b) {
		return a.getUsername().compareToIgnoreCase(b.getUsername());
	}
}