/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Ian Wiliams - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data.util;

import edu.wpi.wpisuite.data.Iteration;
import edu.wpi.wpisuite.data.Project;
import edu.wpi.wpisuite.data.User;
import edu.wpi.wpisuite.data.UserStory.Status;

public interface UserStoryAccessor extends RequirementAccessor {

	public int getEstimatedUnits();

	public int getActualUnits();

	public Status getStatus();

	public User getOwner();

	public Project getProject();

	public User getAuthor();

	public Iteration getIteration();

}
