/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta - Initial design, API, and implementation
 *    Dan Bjorge - Initial design, API, and implementation
 *    
 *******************************************************************************/

package edu.wpi.wpisuite.module.rm;


import edu.wpi.wpisuite.components.EntityListModel;
import edu.wpi.wpisuite.data.Iteration;

/**
 * A specialized EntityListModel which adds spaces around names
 */
@SuppressWarnings("serial")
public class IterationsListModel extends EntityListModel<Iteration> {
	@Override
	public String format(Iteration it) {
		return it.getName();
	}
}