/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.module.traceability.criteria;

import edu.wpi.wpisuite.data.TraceabilityMatrixCriteria.RequirementType;
import edu.wpi.wpisuite.module.ActiveState;

/**
 * 
 */
public interface CriterionControllerContainer {
	public RequirementType getRequirementType();

	public ActiveState getState();
}
